<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetAppServerInfoReq StructType
 * @subpackage Structs
 */
class GetAppServerInfoReq extends AbstractStructBase
{
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * The returnedTags
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\RAppServerInfo
     */
    public $returnedTags;
    /**
     * The sequence
     * Meta information extracted from the WSDL
     * - use: optional
     * @var int
     */
    public $sequence;
    /**
     * Constructor method for GetAppServerInfoReq
     * @uses GetAppServerInfoReq::setUuid()
     * @uses GetAppServerInfoReq::setReturnedTags()
     * @uses GetAppServerInfoReq::setSequence()
     * @param string $uuid
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RAppServerInfo $returnedTags
     * @param int $sequence
     */
    public function __construct($uuid = null, \\Losc\CucmBundle\Model\Webservice\StructType\RAppServerInfo $returnedTags = null, $sequence = null)
    {
        $this
            ->setUuid($uuid)
            ->setReturnedTags($returnedTags)
            ->setSequence($sequence);
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetAppServerInfoReq
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
    /**
     * Get returnedTags value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RAppServerInfo|null
     */
    public function getReturnedTags()
    {
        return $this->returnedTags;
    }
    /**
     * Set returnedTags value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\RAppServerInfo $returnedTags
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetAppServerInfoReq
     */
    public function setReturnedTags(\\Losc\CucmBundle\Model\Webservice\StructType\RAppServerInfo $returnedTags = null)
    {
        $this->returnedTags = $returnedTags;
        return $this;
    }
    /**
     * Get sequence value
     * @return int|null
     */
    public function getSequence()
    {
        return $this->sequence;
    }
    /**
     * Set sequence value
     * @param int $sequence
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\GetAppServerInfoReq
     */
    public function setSequence($sequence = null)
    {
        $this->sequence = $sequence;
        return $this;
    }
}
